gnutls_fingerprint(3)

NAME
gnutls_fingerprint - This function calculates the fingerprint of the given data

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_fingerprint(gnutls_digest_algorithm_t algo, const gnutls_datum_t * data, void * result, size_t * result_size);

ARGUMENTS

gnutls_digest_algorithm_t algo
    is a digest algorithm

const gnutls_datum_t * data
    is the data

void * result
    is the place where the result will be copied (may be null).

size_t * result_size
    should hold the size of the result. The actual size of the returned result will also be copied there.

DESCRIPTION
This function will calculate a fingerprint (actually a hash), of the given data. The result is not printable data. You should convert it to hex, or to something else printable. This is the usual way to calculate a fingerprint of an X.509 DER encoded certificate. Note however that the fingerprint of an OpenPGP is not just a hash and cannot be calculated with this function. Returns a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.